class Admin::BookTypesController < ApplicationController
  before_action :set_book_type, only: [:edit, :update, :destroy]

  def initialize
    super
    @app_type = 'book_type'
  end

  def new
  	@book_type = BookType.new
  end

  def edit
  end

  def create
  	@book_type = BookType.new(book_type_attributes)
  	respond_to do |format|
      if @book_type.save
        format.js { render 'create_book_setting' }
      end
    end
  end

  def update
    respond_to do |format|        
      if @book_type.update_attributes(book_type_attributes)
        format.js { render 'update_book_setting' }
      end
	end
  end

  def destroy
    @book_type.destroy
    respond_to do |format|    
      format.js { render 'delete_book_setting' }
    end
  end

  private

  def set_book_type
    @book_type = BookType.find(params[:id])
  end

  def book_type_attributes
    params.require(:book_type).permit! rescue nil
  end

end
